<?php

/**
 This project has been generated by worker generator
 has been made by fahmi sulaiman
 sulaimanfahmi@gmail.com
 check out my github @dekaulitz
 */

namespace App\Http\Models;

use Carbon\Carbon;
use App\Http\Base\BaseModel;

class LaporanpelumasitemdetailsModel extends BaseModel
{
    /**
     * table name from database
     */
    protected $table = "laporanpelumas_itemdetails";

    /**
     *   alias table for relation issues
     */
    protected $aliasTable = "itemdetails";

    /**
     * primary key from table remember eloquent doesnt support composite primary key
     */
    protected $primaryKey = "id";
    /**
     * check the incrementing boolean if the incrementing from database is false then the value is false by default
     */
    // public $incrementing = false;
    /**
     * fillable property for eloquent attribute cast
     */
    protected $fillable = [
        "id", "detailId", "transactionDate", "transactionNo", "pelabuhan", "qty", "tahun", "bulan", "itemId"
    ];

    protected $aliasPaging = [];

    public function joinRelationItemDetails($alias = "itemdetails")
    {
        $this->getQuery()->join("laporanpelumas_itemdetails as $alias", "$alias.detailId", "=", "laporanpelumasdetails.id");
        return $this;
    }
}
